
function callback(event)
	if event ~= nil and event.player_index ~= nil then
		local lua_player = game.players[event.player_index]
		--lua_player.gui.screen.clear()
		if lua_player.gui.screen["test-choose-elem-button-cost"] ~= nil then
			lua_player.gui.screen["test-choose-elem-button-cost"].destroy()
		else
			local frame = lua_player.gui.screen.add({type="frame", name="test-choose-elem-button-cost", caption="Test Choose Element Cost", direction ="vertical"})
			frame.force_auto_center()
			
			local elements = {}
			local type = "recipe"
			if type == "recipe" then
				elements = game.recipe_prototypes
			elseif type == "entity" then
				elements = game.entity_prototypes
			elseif type == "item" then
				elements = game.item_prototypes
			end
			frame.add({type="label", name="label1", caption={"", "Type: ", type}})
			frame.add({type="label", name="label2", caption={"", "Number of elements: ", #elements}})

			local scroll = frame.add({type="scroll-pane", name="scroll_panel"})
			scroll.style.height = 300

			local table_panel = scroll.add({type="table", name="table_panel", column_count ="20"})
			for key,recipe in pairs(elements) do
				local options = {type="choose-elem-button", name=key, elem_type=type}
				options[type]=key
				local button = table_panel.add(options)
				button.locked = true
			end
		end
	end
end

script.on_event("test-choose-elem-button-cost-open-close",callback)
